# $Revision: 1.9 $, $Date: 2004/01/21 22:21:31 $
Summary:	host program (NIKHOF's version)
Summary(pl):	Program host (wersja NIKHOF-a)
Name:		host-nikhof
Version:	991529
Release:	2
License:	GPL
Group:		Applications/Networking
Source0:	ftp://ftp.nikhef.nl/pub/network/host_%{version}.tar.Z
# Source0-md5:	f3c5589cbe168a49581e856fe26b4808
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A completely new version of 'host', a nameserver query utility a la
'nslookup' and 'dig', but much more versatile and robust.

Among the new features are:
 - Extensive error checking.
 - Optionally (very) verbose output and debugging info.
 - Checking for extraneous conditions during zone listings such as
   non-authoritative glue records and lame delegations.
 - Checking for illegal characters in certain domain names.
 - Verify that some host-related domain names are canonical.
 - Perform ttl consistency checking during zone listings.
 - Recursive traversion of delegated zones up to a given level.
 - Maintaining of resource record and host count statistics.
 - Option to check reverse mappings of host addresses.
 - Option to compare SOA records at the primary and secondary
   nameservers of a zone to check for anomalies such as out-of-sync
   serial numbers, and other discrepancies.
 - Recognition of the new RR types as defined by RFC 1183/1348.
 - Basic NSAP support according to RFC 1637.
 - Implement PX/GPOS RR types as defined by RFC 1664/1712.
 - Implement LOC RR type as defined by RFC 1876.
 - Recognize AAAA RR type as defined by RFC 1884/1886.
 - Support for new RR types KEY/SIG/NXT/SRV (still in draft).
 - Support for RR type NAPTR. Recognize EID/NIMLOC/ATMA.
 - Support for RR type KX. Recognize CERT.
 - Allow multiple arguments on command line or from stdin.
 - Configurable default options via an environment variable.
 - Anticipate non-BIND behaviour during zone listings.

And many more; see the manual page, the RELEASE_NOTES, and the
extensively documented code for details.

%description -l pl
Cakowicie nowa implementacja programu host - narzdzia do odpytywania
serwerw nazw, podobnego do nslookup czy dig - ale bardziej
elastyczna i bogata w opcje.

Wrd nowych moliwoci s:
- obszerna obsuga bdw
- opcjonalna (bardzo) dua ilo informacji diagnostycznych
- sprawdzanie przy listowaniu stref dodatkowych warunkw, takich jak
  nieautorytatywne rekordy sklejajce czy wadliwe delegacje
- sprawdzanie czy nazwy domen zwizane z hostami s kanoniczne
- kontrola spjnoci TTL przy listowaniu stref
- rekurencyjne przechodzenie wydelegowanych stref do zadanego poziomu
- prowadzenie statystyk rekordw i liczby hostw
- opcja do sprawdzania odwrotnych odwzorowa adresw hostw
- opcja do porwnywania rekordw SOA podstawowego i zapasowego serwera
  nazw dla strefy w celu wykrycia anomalii typu zdesynchronizowane
  numery seryjne lub innych rozbienoci
- rozpoznawanie nowych typw rekordw, opisanych w RFC 1183/1348
- podstawowa obsuga NSAP zgodna z RFC 1637
- implementacja typw rekordw PX/GPOS zdefiniowanych w RFC 1664/1712
- implementacja typu rekordu LOC zdefiniowanego w RFC 1876
- rozpoznawanie rekordu AAAA zdefiniowanego w RFC 1884/1886
- obsuga nowych typw rekordw KEY/SIG/NXT/SRV (dopiero w drafcie)
- obsuga typu rekordu NAPTR, rozpoznawanie EID/NIMLOC/ATMA
- obsuga typu rekordu KX, rozpoznawanie CERT
- dopuszczanie wielu argumentw z linii polece lub standardowego
  wejcia
- konfigurowalne poprzez zmienn rodowiskow opcje domylne
- przewidywanie odpowiedzi innych ni od BIND-a przy listowaniu stref

i wiele wicej - cao opisana w manualu, RELEASE_NOTES oraz szeroko
udokumentowanym kodzie.

%prep
%setup -q -c host

%build
%{__make} \
	CFLAGS="%{rpmcflags} -D_BSD_SOURCE" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install host $RPM_BUILD_ROOT%{_bindir}/host-nikhof
install host.1 $RPM_BUILD_ROOT%{_mandir}/man1/host-nikhof.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc RELEASE_NOTES
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: host-nikhof.spec,v $
Revision 1.9  2004/01/21 22:21:31  qboosh
- real pl translation, release 2 for Ac

Revision 1.8  2003/05/28 12:59:05  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 05:48:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2002/11/27 21:10:38  juandon
- new %%doc

Revision 1.5  2002/04/25 16:33:59  arturs
fixed a small typo

Revision 1.4  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/11 21:39:43  kloczek
- adapterized and some cosmetics.

Revision 1.2  2002/01/18 02:13:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/08/04 14:37:45  jajcus
- binary renamed to host-nikhof (it is not such new anymore)
- manual page added
- RELEASE_NOTES added to %doc
- renamed from host.spec

Revision 1.9  2001/05/02 16:29:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.8  2001/02/16 19:17:40  mis
- updated (by autoup) to 991529

Revision 1.7  2000/06/09 07:22:59  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 15:02:32  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:14:43  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:30  baggins
- translated kloczkish into english

Revision 1.3  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri May 28 1999 Arkadiusz Mikiewicz <misiek@pld.org.pl>
- initial version
